package mc600.boardgames;

import mc600.gamemanager.*;

public class Square {
    int px;
    int py;
    protected static final String alphabet = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";

    public Square (String move) throws InvalidMoveException {
	if (move.length() != Player.MOVESIZE) 
	    throw new InvalidMoveException("Tamanho de lance invalido");
	String upMove = move.toUpperCase();
	px = alphabet.indexOf(upMove.charAt(0));
	if (!Character.isDigit(upMove.charAt(1)))
	    throw new InvalidMoveException("Segundo char nao e' digito");
	py = Integer.parseInt("0" + upMove.charAt(1)) - 1;
    }

    public Square (int x, int y) {
	px = x;
	py = y;
    }

    public int getX() {
	return px;
    }

    public int getY() {
	return py;
    }

    public Square seguinte (Direction d) {
	return new Square(px + d.getX(), py + d.getY());
    }

    public Square abaixo () {
	return seguinte(new Direction(0,-1));
    }
}
